<?php
define('WP_INSTALLING', true);
//These two defines are required to allow us to use require_wp_db() to load the database class while being wp-content/wp-db.php aware
define('ABSPATH', dirname(dirname(__FILE__)).'/');
define('WPINC', 'wp-includes');

require_once('../wp-includes/compat.php');
require_once('../wp-includes/functions.php');
require_once('../wp-includes/classes.php');

if (!file_exists('../wp-config-sample.php'))
	wp_die('Sajnálom, de a működéshez szükségem van a wp-config-sample.php fájlra. Kérlek, töltsd fel újra a telepítő csomagból.');

$configFile = file('../wp-config-sample.php');

if ( !is_writable('../'))
	wp_die("Sajnálom, nem tudok írni a könyvtárba. Vagy meg kell változtatnod a WordPress telepítési könyvtár hozzáféréseit, vagy kézzel létre kell hoznod a wp-config.php fájlt.");

// Check if wp-config.php has been created
if (file_exists('../wp-config.php'))
	wp_die("<p>A 'wp-config.php' fájl létezik. Ha szükséged van bármilyen beállítási lehetőség újra állításához a fájlban, akkor először töröld le. Ezután próbáld meg <a href='install.php'>telepíteni</a>.</p>");

if (isset($_GET['step']))
	$step = $_GET['step'];
else
	$step = 0;

function display_header(){
	header( 'Content-Type: text/html; charset=utf-8' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>WordPress &rsaquo; telepítési beállítások</title>
<link rel="stylesheet" href="<?php echo $admin_dir; ?>css/install.css" type="text/css" />

</head>
<body>
<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
<?php
}//end function display_header();

switch($step) {
	case 0:
		display_header();
?>

<p>Üdvözöl a WordPress. A telepítés előtt szükségünk van, némi információra az adatbázissal kapcsolatban. A folytatáshoz ismerned kell a következő paramétereket:</p>
<ol>
	<li>Adatbázis neve</li>
	<li>Adatbázis felhasználó név</li>
	<li>Adatbázis jelszó</li>
	<li>Adatbázis szerver címe</li>
	<li>Tábla előtag (ha több, mint egy WordPress szeretném egy adatbázisba telepíteni) </li>
</ol>
<p><strong>Ha bármilyen okból nem működik az autómatikus fájl létrehozás, ne aggódj. Csak annyi történik, hogy az adatbázis információkat kitölti a konfigurációs fájlban. Egyszerúen megnyithatod a <code>wp-config-sample.php</code> egy szerkesztőben, kitöltheted az információkat, és elmentheted <code>wp-config.php</code> néven. </strong></p>
<p>Nagy valószínűséggel az internet szolgáltatód ellátott ezekkel az információkkal. Ha nem állnak rendelkezésre ezek az adatok, akkor a folytatás előtt fel kell venned a kapcsolatot velük. Ha, készen állsz&hellip;</p>

<p><a href="setup-config.php?step=1" class="button">Let&#8217;s go!</a></p>
<?php
	break;

	case 1:
		display_header();
	?>
<form method="post" action="setup-config.php?step=2">
	<p>Lejjebb meg kell adnod az adatbázis kapcsolat tulajdonságait. Ha nem vagy biztos bennük, vedd fel a kapcsolatot a szolgáltatóddal. </p>
	<table class="form-table">
		<tr>
			<th scope="row">Adatbázis név</th>
			<td><input name="dbname" type="text" size="25" value="wordpress" /></td>
			<td>Az adatbázis neve, amelyben a WP-t használni szeretnéd. </td>
		</tr>
		<tr>
			<th scope="row">Felhasználó név</th>
			<td><input name="uname" type="text" size="25" value="username" /></td>
			<td>MySQL felhasználó név</td>
		</tr>
		<tr>
			<th scope="row">Jelszó</th>
			<td><input name="pwd" type="text" size="25" value="password" /></td>
			<td>...és a MySQL jelszó.</td>
		</tr>
		<tr>
			<th scope="row">Adatbázis kiszolgáló címe</th>
			<td><input name="dbhost" type="text" size="25" value="localhost" /></td>
			<td>99%-ig biztos, hogy ezen nem kell változtatnod.</td>
		</tr>
		<tr>
			<th scope="row">Tábla előtag</th>
			<td><input name="prefix" type="text" id="prefix" value="wp_" size="25" /></td>
			<td>Ha több WordPress-t szeretnél telepíteni egy adatbázisra, akkor ezt meg kell változtatnod.</td>
		</tr>
	</table>
	<h2 class="step">
	<input name="submit" type="submit" value="Submit" class="button" />
	</h2>
</form>
<?php
	break;

	case 2:
	$dbname  = trim($_POST['dbname']);
	$uname   = trim($_POST['uname']);
	$passwrd = trim($_POST['pwd']);
	$dbhost  = trim($_POST['dbhost']);
	$prefix  = trim($_POST['prefix']);
	if (empty($prefix)) $prefix = 'wp_';

	// Test the db connection.
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);

	// We'll fail here if the values are no good.
	require_wp_db();
	if ( !empty($wpdb->error) )
		wp_die($wpdb->error->get_error_message());

	$handle = fopen('../wp-config.php', 'w');

	foreach ($configFile as $line_num => $line) {
		switch (substr($line,0,16)) {
			case "define('DB_NAME'":
				fwrite($handle, str_replace("adatbázisodneve", $dbname, $line));
				break;
			case "define('DB_USER'":
				fwrite($handle, str_replace("'felhasználóneved'", "'$uname'", $line));
				break;
			case "define('DB_PASSW":
				fwrite($handle, str_replace("'jelszavad'", "'$passwrd'", $line));
				break;
			case "define('DB_HOST'":
				fwrite($handle, str_replace("localhost", $dbhost, $line));
				break;
			case '$table_prefix  =':
				fwrite($handle, str_replace('wp_', $prefix, $line));
				break;
			default:
				fwrite($handle, $line);
		}
	}
	fclose($handle);
	chmod('../wp-config.php', 0666);

	display_header();
?>
<p>Jól van! A telepítésnek ezzel a részével meg is lennénk. WordPress most már képes kommunikálni az adatbázisoddal. Ha készen állsz, itt az ideje&hellip;</p>

<p><a href="install.php" class="button">Elkezdeni a telepítést</a></p>
<?php
	break;
}
?>
</body>
</html>
